package com.example.demo.pojo;


import org.springframework.http.HttpStatus;

public class ResponseMessage<T> {
    private Integer status;
    private String message;

    private T data;

    public ResponseMessage(Integer status, String message, T data)
    {
        this.status = status;
        this.message = message;
        this.data = data;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public static <T> ResponseMessage<T> success(T data)
    {
        return new ResponseMessage<>(HttpStatus.OK.value(), "success", data);
    }

    public static <T> ResponseMessage<T> badRequest(String message)
    {
        return new ResponseMessage<>(HttpStatus.BAD_REQUEST.value(), message, null);
    }

    public static <T> ResponseMessage<T> fail(String message)
    {
        return new ResponseMessage<>(HttpStatus.BAD_REQUEST.value(), message, null);
    }

    public static <T> ResponseMessage<T> notFound(String message)
    {
        return new ResponseMessage<>(HttpStatus.NOT_FOUND.value(), message, null);
    }


}
